package com.yihu.wlyy.entity.doctor.survey;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * Created by Reece on 2017/3/10.
 */
@Entity
@Table(name = "wlyy_survey_template_options")
public class SurveyTemplateOptions extends IdEntity implements Serializable {

    //选项编码
    private String code;
    //    是否有选项说明（0没有 1有）
    private Integer haveComment;
    //    	所属问题编码
    private String templateQuestionCode;
    //    选项内容
    private String content;
    //        模板编码
    private String templateCode;
    //    下一题问题编码（逻辑跳转）
    private String questionCodeNext;
    //    下一题问题编码（逻辑跳转）
    private String questionSortNext;
    //    选项说明是否必填（0否 1是）
    private Integer isRequired;
    //    单题内排序
    private Integer sort;
    //    删除标志（1正常，0删除）
    private Integer del;

    public SurveyTemplateOptions() {
    }

    public SurveyTemplateOptions(String code, Integer haveComment, String templateQuestionCode, String content, String templateCode, String questionCodeNext, String questionSortNext, Integer isRequired, Integer sort, Integer del) {
        this.code = code;
        this.haveComment = haveComment;
        this.templateQuestionCode = templateQuestionCode;
        this.content = content;
        this.templateCode = templateCode;
        this.questionCodeNext = questionCodeNext;
        this.questionSortNext = questionSortNext;
        this.isRequired = isRequired;
        this.sort = sort;
        this.del = del;
    }

    public String getQuestionSortNext() {
        return questionSortNext;
    }

    public void setQuestionSortNext(String questionSortNext) {
        this.questionSortNext = questionSortNext;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getHaveComment() {
        return haveComment;
    }

    public void setHaveComment(Integer haveComment) {
        this.haveComment = haveComment;
    }

    public String getTemplateQuestionCode() {
        return templateQuestionCode;
    }

    public void setTemplateQuestionCode(String templateQuestionCode) {
        this.templateQuestionCode = templateQuestionCode;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public String getQuestionCodeNext() {
        return questionCodeNext;
    }

    public void setQuestionCodeNext(String questionCodeNext) {
        this.questionCodeNext = questionCodeNext;
    }

    public Integer getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Integer isRequired) {
        this.isRequired = isRequired;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}
